﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Telerik.UI.Xaml.Controls.Grid;
using Telerik.UI.Xaml.Controls.Grid.Primitives;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using static App2.MainPage;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace App2
{
    public sealed partial class CustomEditor : UserControl, IGridExternalEditor
    {
        public CustomEditor()
        {
            this.InitializeComponent();
        }

        public ExternalEditorPosition Position
        {
            get;set;
        }

        public event EventHandler EditCancelled;
        public event EventHandler EditCommitted;

        public void BeginEdit(object item, RadDataGrid owner)
        {
            this.Item = item;     
        }

        public void CancelEdit()
        {
            var handler = this.EditCancelled;
            if (handler != null)
            {
                handler(this, EventArgs.Empty);
            }
        }

        public void CommitEdit()
        {
            var handler = this.EditCommitted;
            if (handler != null)
            {
                handler(this, EventArgs.Empty);
            }
        }



        public object Item { get; set; }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.CommitEdit();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.CancelEdit();
        }
    }
}
